org.eclipse.microprofile.health.spi

## Interface HealthCheckResponseProvider

    public interface HealthCheckResponseProvider

Reserved for implementors as means to supply their own HealthCheckResponseBuilder. This provider is located using the default service loader and instantiated from the `HealthCheckResponse`

Created by hbraun on 07.07.17.

### Method Summary

All Methods Instance Methods Abstract Methods
`HealthCheckResponseBuilder` `createResponseBuilder()` Provides an implementation of `HealthCheckResponseBuilder`.

### Method Detail

#### createResponseBuilder

    HealthCheckResponseBuilder createResponseBuilder()

Provides an implementation of `HealthCheckResponseBuilder`.

Returns:
  a vendor specific implemenatation of `HealthCheckResponseBuilder`